




.article {
  $parent: &;
  display: flex;
  flex-direction: column;
  background-color: #fff;
  position: relative;
  width:100%;
  height:100%;
  box-shadow: 0 0 0 rgba(0, 0, 0, 0);
  transition: all .5s;
  border-radius: 7px;
  overflow: hidden;

  &__category {
    font-size: 14px;
    font-weight: bold;
    display: block;
    line-height:1;
    padding:map-get($mobile, space-xsm) map-get($mobile, space-xsmsm);
    @include breakpoint($large) {
      padding:map-get($desktop, space-xsm) map-get($desktop, space-xsmsm);
    }
  }

  &__media {
    overflow: hidden;

    position: relative;

    &:after {
      content: "";
      position: absolute;
      height:90px;
      left: 0;
      right: 0;
      bottom: 0;
      background: linear-gradient(0deg, #000000 0%, rgba(0,0,0,0) 100%);
    }

    img {
      max-width: none;
      width: 100%;
      height: auto;
      line-height: 1;
      display: block;
    }

    #{$parent}__category {
      position:absolute;
      color: #fff;
      bottom: 0;
      left: 0;
      z-index: 5;
      font-weight: inherit;
    }
  }

  &:hover {
    @include breakpoint($large) {
      box-shadow: 0 2px 20px 4px rgba(0, 0, 0, 0.05);
      transform: translate(0, -5px);
    }
  }

  &__content {
    //margin-top:-.8rem;
  }

  .cta {
    margin: 0 0 8px 0;
  }

  &__title {
    @include rhythm(18,22);
    @include font-archer-book;
    margin-bottom:map-get($mobile, space-xsm);

    @include breakpoint($large) {
      @include rhythm(22,24);
      margin-bottom:map-get($desktop, space-xsm);
    }

    a {
      display:inline;
    }

    &:last-child {
      margin-bottom: 0;
    }
  }

  &__body {
    position:relative;
    padding:map-get($mobile, space-xsm) map-get($mobile, space-xsmsm);
    @include breakpoint($large) {
      padding:map-get($desktop, space-xsm) map-get($desktop, space-xsmsm) map-get($desktop, space-xsmsm);
    }
  }

  &__footer {
    margin: 0 map-get($mobile, space-xsmsm) map-get($mobile, space-xsmsm);
    display:flex;
    align-items:center;
    flex-wrap: wrap;
    padding-top:map-get($mobile, space-xsmsm);
    @include rhythm(14,22);

    @include breakpoint($large) {
      margin: 0 map-get($desktop, space-xsmsm) map-get($desktop, space-xsmsm);
      padding-top:map-get($desktop, space-xsmsm);
    }
  }

  &__body {
    flex-grow: 1;
  }

  &__date {
    display:inline-block;
    flex:0 0 100%;
    margin:0 2rem 0.5rem 0;

    @include breakpoint($medium) {
      flex:0 0 auto;
      margin-bottom:0;
    }
  }

  &__readtime {
    flex:0 0 100%;
    display:inline-block;

    @include breakpoint($medium) {
      flex:0 0 auto;
    }

    .icon {
      fill: $color-accessibleGreen;
    }
  }

  &__wrapper
  {
    flex: 0 0 auto;
    flex-direction: column;
    display: flex;
  }

  &__main
  {
    flex: 1 0 auto;
    display : flex;
    flex-direction : column;
  }

  &--alt {
    margin-bottom: 16px;

    &:hover {
      transform: translate(0, 0);
    }

    #{$parent} {
      &__wrapper {
        flex-direction: row;
      }

      &__media {
        flex: 0 0 33%;

        img {
          position: absolute;
          top: 0;
          left: 0;
          right: 0;
          bottom: 0;
          object-fit: cover;
          height: 100%;
          width: 100%;
        }
      }

      &__main
      {
        flex: 1 1 0%;
        display : flex;
        flex-direction : column;
      }

      &__footer {
        border: none;
        order: 1;
        margin-bottom: 0;
      }

      &__body {
        order: 2;
      }

      &__category {
        order: 3;
      }
    }
  }
}
